### Class

# EBookContacts SourceBackendSummarySetup

since: 3.8

#### Description [src]

    class EBookContacts.SourceBackendSummarySetup : EDataServer.SourceExtension
    {
      /* No available fields */
    }

Contains only private data that should be read and manipulated using the functions below.

Available since: 3.8

#### Hierarchy

#### Ancestors

- ESourceExtension
- GObject

#### Instance methods

###### e_source_backend_summary_setup_get_indexed_fields

Fetches the `EContactFields` configured to be indexed, with thier respective `EBookIndexTypes`.

since: 3.8

###### e_source_backend_summary_setup_get_summary_fields

Fetches the `EContactFields` which are configured to be a part of the summary.

since: 3.8

###### e_source_backend_summary_setup_set_indexed_fields

Like e_source_backend_summary_setup_set_indexed_fieldsv(), but takes a literal list of of indexes.

since: 3.8

###### e_source_backend_summary_setup_set_indexed_fieldsv

Defines indexes for quick reference for the given given `EContactFields` in the addressbook.

since: 3.8

###### e_source_backend_summary_setup_set_summary_fields

Like e_source_backend_summary_setup_set_summary_fieldsv(), but takes a literal list of `EContactFields` for convenience.

since: 3.8

###### e_source_backend_summary_setup_set_summary_fieldsv

Sets the summary fields configured for the given addressbook.

since: 3.8

##### Methods inherited from ESourceExtension (4)

###### e_source_extension_get_source

Returns the `ESource` instance to which `extension` belongs.

###### e_source_extension_property_lock

Acquires a property lock, thus no other thread can change properties of the `extension` until the lock is released.

###### e_source_extension_property_unlock

Releases a property lock, previously acquired with e_source_extension_property_lock(), thus other threads can change properties of the `extension`.

###### e_source_extension_ref_source

Returns the `ESource` instance to which the `extension` belongs.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### EBookContacts.SourceBackendSummarySetup:indexed-fields

The list of summary fields which are to be given indexes in the underlying database.

###### EBookContacts.SourceBackendSummarySetup:summary-fields

The list of quick reference summary fields.

##### Properties inherited from ESourceExtension (1)

###### EDataServer.SourceExtension:source

The `ESource` being extended.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EBookContactsSourceBackendSummarySetupClass {
      ESourceBackendClass parent_class;

    }

No description available.

###### Class members

`parent_class: ESourceBackendClass`

  No description available.